FROM python:3.11

WORKDIR /source_to_db

# Install system-level dependencies
RUN curl https://packages.microsoft.com/keys/microsoft.asc | apt-key add - && \
    curl https://packages.microsoft.com/config/debian/11/prod.list > /etc/apt/sources.list.d/mssql-release.list && \
    apt-get update && \
    ACCEPT_EULA=Y apt-get install -y msodbcsql17

# Copy Python script and requirements
COPY . .

# Install Python dependencies for data_transformation
RUN pip install --no-cache-dir -r requirements.txt
# Run your Python script
CMD ["python", "main.py", "--host", "0.0.0.0", "--port", "5001"]